From ff199bea286fde79f5d4854713abd911995fc99d Mon Sep 17 00:00:00 2001
From: Dale Curtis <dalecurtis@chromium.org>
Date: Mon, 10 Apr 2023 10:52:08 -0700
Subject: [PATCH] Don't throw an error when attached picture isn't recognized.

The MIME type field is required per the FLAC standard, but it's
not an error just because ffmpeg doesn't recognize it.

Signed-off-by: Dale Curtis <dalecurtis@chromium.org>
---
 libavformat/flac_picture.c | 2 --
 1 file changed, 2 deletions(-)

diff --git a/libavformat/flac_picture.c b/libavformat/flac_picture.c
index b33fee75b4..20df0192d4 100644
--- a/libavformat/flac_picture.c
+++ b/libavformat/flac_picture.c
@@ -91,8 +91,6 @@ int ff_flac_parse_picture(AVFormatContext *s, uint8_t **bufp, int buf_size,
     if (id == AV_CODEC_ID_NONE) {
         av_log(s, AV_LOG_ERROR, "Unknown attached picture mimetype: %s.\n",
                mimetype);
-        if (s->error_recognition & AV_EF_EXPLODE)
-            return AVERROR_INVALIDDATA;
         return 0;
     }
 
-- 
2.40.0.577.gac1e443424-goog

